jQuery(document).ready(function($) {
    
    // Handle Test Connection button
    jQuery('#test-philia-connection').on('click', function() {
        jQuery.ajax({
            url: philiaApiSettings.ajax_url,
            data: { action: 'philia_api_test_connection' },
            method: 'POST',
            dataType: 'json',
            beforeSend: function() {
                jQuery('#test-connection-result').html( philiaApiSettings.wait_text );
            },
            success: function(response) {
                if( response.status )
                    jQuery('#test-connection-result').html('<span style="color: green;">' + response.message + '</span>');
                else
                    jQuery('#test-connection-result').html('<span style="color: red;">' + response.message + '</span>');
            },
            error: function(error) {
                console.log(error);
            }
        })
    });

    // Handle Clear Log button
    jQuery('#clear-philia-log').on('click', function() {
        jQuery.ajax({
            url: philiaApiSettings.ajax_url,
            data: { action: 'clear_philia_api_log' },
            method: 'POST',
            dataType: 'json',
            beforeSend: function() {
                jQuery('#clear-log-result').html( philiaApiSettings.wait_text );
            },
            success: function(response) {
                if( response.status )
                    jQuery('#clear-log-result').html('<span style="color: green;">' + response.message + '</span>');
                else
                    jQuery('#clear-log-result').html('<span style="color: red;">' + response.message + '</span>');
            },
            error: function(error) {
                console.log(error);
            }
        });
    });

    // Handle Clear data button
    jQuery('#clear-philia-data').on('click', function() {
        jQuery.ajax({
            url: philiaApiSettings.ajax_url,
            data: { action: 'clear_philia_data' },
            method: 'POST',
            dataType: 'json',
            beforeSend: function() {
                jQuery('#clear-data-result').html( philiaApiSettings.wait_text );
            },
            success: function(response) {
                if( response.status )
                    jQuery('#clear-data-result').html('<span style="color: green;">' + response.message + '</span>');
                else
                    jQuery('#clear-data-result').html('<span style="color: red;">' + response.message + '</span>');
            },
            error: function(error) {
                console.log(error);
            }
        });
    });

});